Perry Weather API

/Forecast/Daily/{locationId}

get
https://customer.api.perryweather.com/v1/Forecast/Daily/{locationId}

Query Parameters

daysinteger(int32)

The number of days to forecast, from 1 up to 14. Defaults to 7.

Default:7

Path Parameters

locationIdstring(uuid)required

The location identifier.

Headers

x-api-keystringrequired

API key for authenticating requests. Create and manage keys in the Perry Weather dashboard under Integrations > Perry Weather APIs.

Example:YOUR-API-KEY

Response

Success

DailyForecastModel

* Additional properties are NOT allowed.
forecastDatestring | null(date-time)
dayLightboolean
temperatureHighobject
* Additional properties are NOT allowed.
Show Child Parameters
temperatureLowobject
* Additional properties are NOT allowed.
Show Child Parameters
feelsLikeobject
* Additional properties are NOT allowed.
Show Child Parameters
wbgtobject
* Additional properties are NOT allowed.
Show Child Parameters
humidityobject
* Additional properties are NOT allowed.
Show Child Parameters
dewPointobject
* Additional properties are NOT allowed.
Show Child Parameters
windSpeedobject
* Additional properties are NOT allowed.
Show Child Parameters
windDirectionstring | null
windGustobject
* Additional properties are NOT allowed.
Show Child Parameters
windGustDirectionstring | null
precipitationobject
* Additional properties are NOT allowed.
Show Child Parameters
precipitationChanceobject
* Additional properties are NOT allowed.
Show Child Parameters
snowAccumulationobject
* Additional properties are NOT allowed.
Show Child Parameters
get/Forecast/Daily/{locationId}